#if !defined(lint) && !defined(__INSIGHT__)
static char sos__rcsid[] = "testenv.c,v 1.1.1.1 1995/06/16 17:42:46 seth Exp";
static char sos__copyright[] = "Copyright (c) 1994, 1995 SOS Corporation";
static char sos__contact[] = "SOS Corporation <sos-info@soscorp.com> +1 800 SOS UNIX";
#endif /* not lint */

/*
 * ++Copyright Released Product++
 *
 * Copyright (c) 1994, 1995 Sources of Supply Corporation ("SOS").
 * All rights reserved.
 *
 * The SOS Released Product License Agreement specifies the terms and
 * conditions for redistribution.  You may find the License Agreement
 * in the file LICENSE.
 *
 * SOS Corporation
 * 461 5th Ave.; 16th floor
 * New York, NY 10017
 *
 * +1 800 SOS UNIX
 * <sos-info@soscorp.com>
 *
 * --Copyright Released Product--
 */

/*
 * Test environment munging
 */

#include "sos.h"

main(int argc, char *argv[])
{
  extern char *optarg;
  extern int optind;
  int c;
  int ret = -2;
  char *newenv[3];
  char buf[128];

  while ((c = getopt(argc, argv, "")) != -1)
    switch (c)
      {
      default :
	printf("Usage: %s \n",argv[0]);
	exit(1);
	break;
      }

  sprintf(buf,"USER=Joe=bar");
  newenv[0] = strdup(buf);
  newenv[1] = strdup("REMOTE_MODE=true");
  newenv[2] = NULL;

  execve("/usr/local/gnu/bin/printenv",argv,newenv);

  perror("execve");

  exit(0);
}
